Package org.codehaus.groovy.groovydoc

# Interface GroovyExecutableMemberDoc

All Superinterfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

All Known Subinterfaces:
  `GroovyConstructorDoc`, `GroovyMethodDoc`

All Known Implementing Classes:
  `SimpleGroovyConstructorDoc`, `SimpleGroovyExecutableMemberDoc`, `SimpleGroovyMethodDoc`

public interface GroovyExecutableMemberDoc extends GroovyMemberDoc
Describes an executable member such as a method or constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `flatSignature()`
  Returns the flat signature used in rendered output.
  `boolean`
  `isNative()`
  Indicates whether this executable is declared `native`.
  `boolean`
  `isSynchronized()`
  Indicates whether this executable is declared `synchronized`.
  `boolean`
  `isVarArgs()`
  Indicates whether the executable accepts a variable number of arguments.
  `GroovyParameter[]`
  `parameters()`
  Returns the parameters declared by this executable.
  `String`
  `signature()`
  Returns the full signature used in rendered output.
  `GroovyClassDoc[]`
  `thrownExceptions()`
  Returns the checked exceptions declared by this executable.
  `GroovyType[]`
  `thrownExceptionTypes()`
  Returns the checked exception types declared by this executable.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

  `isSynthetic`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Method Details

  - ### flatSignature

    String flatSignature()
    Returns the flat signature used in rendered output.
    Returns:
      the flat signature

  - ### isNative

    boolean isNative()
    Indicates whether this executable is declared `native`.
    Returns:
      `true` if this executable is native

  - ### isSynchronized

    boolean isSynchronized()
    Indicates whether this executable is declared `synchronized`.
    Returns:
      `true` if this executable is synchronized

  - ### isVarArgs

    boolean isVarArgs()
    Indicates whether the executable accepts a variable number of arguments.
    Returns:
      `true` if this executable is variadic

  - ### parameters

    GroovyParameter[] parameters()
    Returns the parameters declared by this executable.
    Returns:
      the declared parameters

  - ### signature

    String signature()
    Returns the full signature used in rendered output.
    Returns:
      the executable signature

  - ### thrownExceptions

    GroovyClassDoc[] thrownExceptions()
    Returns the checked exceptions declared by this executable.
    Returns:
      the declared exceptions

  - ### thrownExceptionTypes

    GroovyType[] thrownExceptionTypes()
    Returns the checked exception types declared by this executable.
    Returns:
      the declared exception types